import request from '@/utils/request'

// 查询cmc耗材购买列表
export function listMaterialBuy(query) {
  return request({
    url: '/oa/materialBuy/list',
    method: 'get',
    params: query
  })
}

// 查询cmc耗材购买详细
export function getMaterialBuy(buyId) {
  return request({
    url: '/oa/materialBuy/' + buyId,
    method: 'get'
  })
}

// 新增cmc耗材购买
export function addMaterialBuy(data) {
  return request({
    url: '/oa/materialBuy',
    method: 'post',
    data: data
  })
}

// 修改cmc耗材购买
export function updateMaterialBuy(data) {
  return request({
    url: '/oa/materialBuy',
    method: 'put',
    data: data
  })
}

// 删除cmc耗材购买
export function delMaterialBuy(buyId) {
  return request({
    url: '/oa/materialBuy/' + buyId,
    method: 'delete'
  })
}
